mfont_get_prop(3m17n)

NAME
mfont_get_prop - Get a property value of a font.

SYNOPSIS
void* mfont_get_prop (MFont * font, MSymbol key)

DESCRIPTION
Get a property value of a font.

The mfont_get_prop() function gets the value of key property of font font. key must be one of the following symbols:

Mfoundry, Mfamily, Mweight, Mstyle, Mstretch, Madstyle, Mregistry, Msize, Mresolution, Mspacing.

If font is a return value of mfont_find(), key can also be one of the following symbols:

Mfont_ascent, Mfont_descent, Mmax_advance.

RETURN VALUE

    If key is Mfoundry, Mfamily, Mweight, Mstyle, Mstretch, Madstyle, Mregistry, or Mspacing, this function returns the corresponding value as a symbol. If the font does not have key property, it returns Mnil. If key is Msize, Mresolution, Mfont_ascent, Mfont_descent, or Mmax_advance, this function returns the corresponding value as an integer. If the font does not have key property, it returns 0. If key is something else, it returns NULL and assigns an error code to the external variable merror_code.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.